Subject: Re: git-svn not fetching all revisions

From: Marcus Better <[email-masked]>
Date: Thu, 19 Nov 2009 13:07:27 +0100

Sam Vilain wrote:
> Marcus Better wrote:
>> The problem is that the trunk was replaced by a branch at some point.

> Yeah.  Try doing it in parts - fetch the two stages of the history
> explicitly using the revision range arguments to 'git svn fetch' - and
> then graft the histories together and fix up with git filter-branch.

Ok, that works, but how can I now sync with the svn repository with git
svn rebase/dcommit? I think the filter-branch rewriting confuses git-svn.

Cheers,

Marcus